# Uses of Class
java.util.logging.Handler

Packages that use Handler
Package
Description
java.util.logging
Provides the classes and interfaces of the Java 2 platform's core logging facilities.

## Uses of Handler in java.util.logging

Subclasses of Handler in java.util.logging
Modifier and Type
Class
Description
`class`
`ConsoleHandler`
This `Handler` publishes log records to `System.err`.
`class`
`FileHandler`
Simple file logging `Handler`.
`class`
`MemoryHandler`
`Handler` that buffers requests in a circular buffer in memory.
`class`
`SocketHandler`
Simple network logging `Handler`.
`class`
`StreamHandler`
Stream based logging `Handler`.
Methods in java.util.logging that return Handler
Modifier and Type
Method
Description
`Handler[]`
Logger.`getHandlers()`
Get the Handlers associated with this logger.
Methods in java.util.logging with parameters of type Handler
Modifier and Type
Method
Description
`void`
Logger.`addHandler(Handler handler)`
Add a log Handler to receive logging messages.
`String`
Formatter.`getHead(Handler h)`
Return the header string for a set of formatted records.
`String`
XMLFormatter.`getHead(Handler h)`
Return the header string for a set of XML formatted records.
`String`
Formatter.`getTail(Handler h)`
Return the tail string for a set of formatted records.
`String`
XMLFormatter.`getTail(Handler h)`
Return the tail string for a set of XML formatted records.
`void`
Logger.`removeHandler(Handler handler)`
Remove a log Handler.
Constructors in java.util.logging with parameters of type Handler
Modifier
Constructor
Description
``
`MemoryHandler(Handler target, int size, Level pushLevel)`
Create a `MemoryHandler`.